unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdMessage, IdIOHandler, IdIOHandlerSocket,
  IdIOHandlerStack, IdSSL, IdSSLOpenSSL, IdBaseComponent, IdComponent,
  IdTCPConnection, IdTCPClient, IdExplicitTLSClientServerBase, IdMessageClient,
  IdSMTPBase, IdSMTP, ppEmail, ppComm, ppRelatv, ppProd, ppClass,
  ppReport, ppPrnabl, ppCtrls, ppBands, ppCache, ppParameter;

type
  TForm1 = class(TForm)
    Button2: TButton;
    ppReport1: TppReport;
    ppParameterList1: TppParameterList;
    ppHeaderBand1: TppHeaderBand;
    ppDetailBand1: TppDetailBand;
    ppFooterBand1: TppFooterBand;
    ppLabel1: TppLabel;
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  ppSMTPIndy10;

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
var
  lEmail: TppEmail;
  lIOHandler: TIdSSLIOHandlerSocketOpenSSL;
begin

  ppReport1.EmailSettings.UserName := '';
  ppReport1.EmailSettings.Password := '';
  ppReport1.EmailSettings.ShowEmailDialog := True;
  ppReport1.EmailSettings.HostAddress := 'smtp.gmail.com';

  lEmail := TppEmail(ppReport1.Email);

  lIOHandler := TIdSSLIOHandlerSocketOpenSSL.Create(Self);

  try
    lIOHandler.Destination := 'smtp.gmail.com:587';
    lIOHandler.Host := 'smtp.gmail.com';
    lIOHandler.Port := 587;

    TppSMTPIndy(lEmail.SMTP).IndySMTP.Port := 587;
    TppSMTPIndy(lEmail.SMTP).IndySMTP.IOHandler := lIOHandler;
    TppSMTPIndy(lEmail.SMTP).IndySMTP.UseTLS := utUseExplicitTLS;

    ppReport1.SendMail;

  finally
    lIOHandler.Free;
  end;

end;

end.
